<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Hiérarchie des classes</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('hierarchy.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Hiérarchie des classes</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Aller à la hiérarchie des classes en mode texte</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" usemap="#QAbstractTableModel" alt=""/>
<map name="QAbstractTableModel" id="QAbstractTableModel">
<area shape="rect" href="classQAbstractTableModel.html" title=" " alt="" coords="5,5,153,32"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1usbTableModel.html" title="Un modèle de table pour des séries de clés USB." alt="" coords="201,5,409,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" usemap="#QDialog" alt=""/>
<map name="QDialog" id="QDialog">
<area shape="rect" href="classQDialog.html" title=" " alt="" coords="5,209,73,235"/>
<area shape="rect" href="classsrc_1_1checkBoxDialog_1_1CheckBoxDialog.html" title="Un dialogue pour gérer les cases à cocher de l&#39;application." alt="" coords="125,5,301,47"/>
<area shape="rect" href="classsrc_1_1choixEleves_1_1choixElevesDialog.html" title=" " alt="" coords="121,71,305,112"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html" title="Un dialogue pour choisir un ensemble de fichiers à copier depuis une clé USB." alt="" coords="124,136,303,177"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html" title=" " alt="" coords="127,201,300,243"/>
<area shape="rect" href="classsrc_1_1help_1_1helpWindow.html" title=" " alt="" coords="143,267,283,294"/>
<area shape="rect" href="classsrc_1_1nameAdrive_1_1nameAdriveDialog.html" title=" " alt="" coords="121,319,305,360"/>
<area shape="rect" href="classsrc_1_1preferences_1_1preferenceWindow.html" title=" " alt="" coords="126,384,301,425"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" usemap="#QMainWindow" alt=""/>
<map name="QMainWindow" id="QMainWindow">
<area shape="rect" href="classQMainWindow.html" title=" " alt="" coords="5,81,112,108"/>
<area shape="rect" href="classsrc_1_1diskFull_1_1mainWindow.html" title=" " alt="" coords="181,5,347,32"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1mainWindow.html" title="defines the main window of the application." alt="" coords="167,56,361,83"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1MainWindow.html" title=" " alt="" coords="160,107,368,133"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1MainWindow.html" title=" " alt="" coords="177,157,351,184"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" usemap="#QStyledItemDelegate" alt=""/>
<map name="QStyledItemDelegate" id="QStyledItemDelegate">
<area shape="rect" href="classQStyledItemDelegate.html" title=" " alt="" coords="5,56,151,83"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1CheckBoxDelegate.html" title=" " alt="" coords="199,5,429,32"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1DiskSizeDelegate.html" title=" " alt="" coords="203,56,425,83"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1UsbDiskDelegate.html" title=" " alt="" coords="203,107,425,133"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" usemap="#QTextBrowser" alt=""/>
<map name="QTextBrowser" id="QTextBrowser">
<area shape="rect" href="classQTextBrowser.html" title=" " alt="" coords="5,13,111,39"/>
<area shape="rect" href="classsrc_1_1mytextbrowser_1_1myTextBrowser.html" title="Une classe qui ouvre Firefox quand on clique sur un lien externe." alt="" coords="159,5,331,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" usemap="#QTreeView" alt=""/>
<map name="QTreeView" id="QTreeView">
<area shape="rect" href="classQTreeView.html" title=" " alt="" coords="5,13,92,39"/>
<area shape="rect" href="classsrc_1_1gestclassetreeview_1_1gestClasseTreeView.html" title=" " alt="" coords="140,5,323,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" usemap="#src_8gestClasse_8AbstractGestClasse" alt=""/>
<map name="src_8gestClasse_8AbstractGestClasse" id="src_8gestClasse_8AbstractGestClasse">
<area shape="rect" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html" title=" " alt="" coords="5,5,193,47"/>
<area shape="rect" href="classsrc_1_1gestClasse_1_1Sconet.html" title="Une classe pour travailler avec des données Sconet." alt="" coords="241,13,393,39"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_7.png" border="0" usemap="#src_8notification_8Notification" alt=""/>
<map name="src_8notification_8Notification" id="src_8notification_8Notification">
<area shape="rect" href="classsrc_1_1notification_1_1Notification.html" title=" " alt="" coords="5,5,179,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_8.png" border="0" usemap="#src_8sconet_8Sconet" alt=""/>
<map name="src_8sconet_8Sconet" id="src_8sconet_8Sconet">
<area shape="rect" href="classsrc_1_1sconet_1_1Sconet.html" title="Une classe pour travailler avec des données Sconet." alt="" coords="5,5,132,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_9.png" border="0" usemap="#src_8usbDisk2_8uDisk2" alt=""/>
<map name="src_8usbDisk2_8uDisk2" id="src_8usbDisk2_8uDisk2">
<area shape="rect" href="classQObject.html" title=" " alt="" coords="40,5,111,32"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html" title=" " alt="" coords="193,31,368,57"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1uDisk2.html" title="une classe pour représenter un disque ou une partition." alt="" coords="5,56,145,83"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_10.png" border="0" usemap="#src_8usbDisk2_8UDisksBackend" alt=""/>
<map name="src_8usbDisk2_8UDisksBackend" id="src_8usbDisk2_8UDisksBackend">
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html" title=" " alt="" coords="5,5,200,32"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html" title="une classe pour représenter la collection des disques USB connectés" alt="" coords="248,5,401,32"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1Available.html" title=" " alt="" coords="449,5,636,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_11.png" border="0" usemap="#src_8usbThread_8abstractThreadUSB" alt=""/>
<map name="src_8usbThread_8abstractThreadUSB" id="src_8usbThread_8abstractThreadUSB">
<area shape="rect" title=" " alt="" coords="5,111,68,138"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html" title=" " alt="" coords="116,111,339,138"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyFromUSB.html" title="Classe pour les threads copiant depuis les clés USB." alt="" coords="391,5,563,47"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyToUSB.html" title="Classe pour les threads copiant vers les clés USB." alt="" coords="391,71,563,112"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadDeleteInUSB.html" title="Classe pour les threads effaçant des sous&#45;arbres dans les clés USB." alt="" coords="387,136,567,177"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html" title="Classe pour les threads déplaçant des fichiers depuis les clés USB." alt="" coords="389,201,564,243"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_12.png" border="0" usemap="#src_8usbThread_8ThreadRegister" alt=""/>
<map name="src_8usbThread_8ThreadRegister" id="src_8usbThread_8ThreadRegister">
<area shape="rect" href="classsrc_1_1usbThread_1_1ThreadRegister.html" title="Une classe pour tenir un registre des threads concernant les baladeurs." alt="" coords="5,5,200,32"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
